package com.philisense.www.utils;

import com.alibaba.fastjson.JSON;

public class JsonUtils {

    /**
     * 通过fastjson解析来判断，解析成功，是json格式；否则，不是json格式
     * @param str
     * @return
     */
    public static boolean isJSON(String str) {
        boolean result = false;
        try {
            JSON.parse(str);
            result = true;
        } catch (Exception e) {
            result = false;
        }
        return result;
    }

    /**
     * 判断首尾字母是否为{}或[],如果都不是则不是一个JSON格式的文本
     * @param str
     * @return
     */
    public static boolean getJSONType(String str) {
        boolean result = false;
        if (StringUtils.isNotBlank(str)) {
            str = str.trim();
            if (str.startsWith("{") && str.endsWith("}")) {
                result = true;
            } else if (str.startsWith("[") && str.endsWith("]")) {
                result = true;
            }
        }
        return result;
    }
}
